import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Color;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;
import quadbase.ChartAPI.ColInfo;
import quadbase.util.IAxis;
import quadbase.util.ITextString;
import quadbase.util.IDataLineSet;
import quadbase.util.IPlot;
import quadbase.util.IControlLine;


public class MultipleControlLines extends Applet {
	
	static final long serialVersionUID = 1;
	
	public static void main(String[] args) {
		try {
			MultipleControlLines chart = new MultipleControlLines();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doMultipleControlLines(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
	
	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doMultipleControlLines(this));
	}
	
	Component doMultipleControlLines(Applet parent) {
	// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);
		
    // Create a chart 
	
	// ColInfo(series, category, sumby, primary_value, secondary_value)
		ColInfo colInfo = new ColInfo(-1, 0, 1, 3, -1);

		QbChart chart = new QbChart(parent, QbChart.VIEW2D, QbChart.STACKAREA, "sample.dat",colInfo);

	// Set XAxis
	IAxis hXAxis = chart.gethXAxis();
	hXAxis.setGridVisible(false);
	// Set YAxis
	IAxis hYAxis = chart.gethYAxis();
	hYAxis.setGridVisible(false);
	// Set all axises
	hXAxis.setThickness(2);
	hXAxis.setArrowhead(true);

	// Set titles
	ITextString hXTitle, hYTitle,title;
	title = chart.gethMainTitle();
 
    // Call methods on the handle to change title
    title.setValue("Drink Quantities by Day");

	hXTitle = hXAxis.gethTitle();
	hXTitle.setValue("Day (Category)");
	hXTitle.setColor(Color.black);
	hYTitle = hYAxis.gethTitle();
	hYTitle.setValue("Quantities (Stack Area Axis)");
	hYTitle.setColor(Color.black);

	// Set labels
	hXAxis.gethLabel().setColor(Color.black);
	hYAxis.gethLabel().setColor(Color.black);
	
	// Set chart plot
	IPlot hChartPlot = chart.gethChartPlot();
	hChartPlot.setBorderVisible(true);
	hChartPlot.setBorderColor(new Color(255,255,224));
	
	hChartPlot.setBackgroundColor(new Color(255,255,224));
	hChartPlot.setBackgroundVisible(true);
	hChartPlot.setAppearance(QbChart.RAISE);

	// Set legends
	chart.gethLegend().setBackgroundColor(new Color(204,204,204));
	chart.gethLegend().setBackgroundVisible(true);
	chart.gethLegend().setBorderVisible(true);
	chart.gethLegend().setBorderColor(new Color(153,153,153));
	
	IDataLineSet hDataLines = chart.gethDataLines();//how about 2nd stack chart if there is some

		IControlLine clLine1 = hDataLines.newControlLine(13, "Max4", 4);  // add Max line for section 1, 13 is Max and 10 is AVe
		IControlLine clLine2 = hDataLines.newControlLine(13, "Max3", 3);
		IControlLine clLine3 = hDataLines.newControlLine(13, "Max2", 2);  // add Max line for section 3, 13 is Max and 10 is AVe
		IControlLine clLine4 = hDataLines.newControlLine(13, "Max1", 1);
		IControlLine clLine5 = hDataLines.newControlLine(10, "Avg4", 4);
		clLine1.setColor(Color.RED);
        clLine2.setColor(Color.YELLOW);
		clLine3.setColor(Color.GREEN);
        clLine4.setColor(Color.BLUE);
		clLine5.setColor(Color.GRAY);
		hDataLines.add(clLine1);
		hDataLines.add(clLine2);
		hDataLines.add(clLine3);
		hDataLines.add(clLine4);
		hDataLines.add(clLine5);
	
        // Show chart in Viewer
		return chart;
	}
}



